Listar leads
curl --request GET \
--url https://app.mayahub.ai/api/user/leads \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.mayahub.ai/api/user/leads"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.mayahub.ai/api/user/leads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 1,
"campaign_id": 1,
"phone_number": "+1234567890",
"variables": {
"customer_name": "John Doe",
"email": "john.doe@example.com"
},
"status": "created",
"created_at": "2025-06-30 11:18:04",
"updated_at": "2025-06-30 11:18:04",
"campaign": {
"id": 1,
"name": "My new campaign"
},
"secondary_contacts": [
{
"id": 2,
"phone_number": "+1234567899",
"variables": {
"customer_name": "Jane Doe Secondary",
"email": "jane.doe.secondary@example.com"
},
"status": "created",
"created_at": "2025-06-30 11:18:04",
"updated_at": "2025-06-30 11:18:04"
}
]
}
]
Leads
Listar leads
Listar todos os leads do usuário autenticado
GET
/
user
/
leads
Listar leads
Este endpoint permite listar todos os leads pertencentes ao usuário autenticado.
Campos de resposta
array
Show Propriedades
Show Propriedades
integer
O ID do lead
integer
O ID da campanha à qual este lead pertence
string
O número de telefone do lead no formato E.164
object
As variáveis associadas ao lead
string
O status do lead
string
A data de criação do lead
string
A data de atualização do lead
object
array
Array de contatos secundários associados a este lead
Show Propriedades de secondary_contacts
Show Propriedades de secondary_contacts
[
{
"id": 1,
"campaign_id": 1,
"phone_number": "+1234567890",
"variables": {
"customer_name": "John Doe",
"email": "john.doe@example.com"
},
"status": "created",
"created_at": "2025-06-30 11:18:04",
"updated_at": "2025-06-30 11:18:04",
"campaign": {
"id": 1,
"name": "My new campaign"
},
"secondary_contacts": [
{
"id": 2,
"phone_number": "+1234567899",
"variables": {
"customer_name": "Jane Doe Secondary",
"email": "jane.doe.secondary@example.com"
},
"status": "created",
"created_at": "2025-06-30 11:18:04",
"updated_at": "2025-06-30 11:18:04"
}
]
}
]
⌘I

